module Game where

import GameState
import Resource
import Input
import Data.Word
import Title

-- ゲームプログラム全体
data Game = Game {
    gameState :: GameState,
    gameResource :: Resource,
    gameInput :: Input,
    gameTime :: Word32
}

-- 初期状態
initGame :: IO Game
initGame = do
    res <- addTitleResource (Resource { imageResource = [], soundResource = []} )
    return $ Game (TitleState initTitle) res emptyInput 0

